=== debian/control ===
Source: ros-foxy-vrxperience-bridge
Section: misc
Priority: optional
Maintainer: Adam Gotlib <gotlib.adam+dev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-cyclonedds, ros-foxy-launch-xml, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-tf2, ros-foxy-vrxperience-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-vrxperience-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cyclonedds, ros-foxy-launch-xml, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-tf2, ros-foxy-vrxperience-msgs, ros-foxy-ros-workspace
Description: Bridge between the simulator and ROS 2
